<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://ays-pro.com/
 * @since             1.0.0
 * @package           Ays_Facebook_Popup_Likebox
 *
 * @wordpress-plugin
 * Plugin Name:       Facebook Popup Likebox
 * Plugin URI:        https://ays-pro.com/index.php/wordpress/facebook-popup-likebox
 * Description:       With the help of this  amazing plugin you can promote your Facebook page and add number of Like
 * Version:           3.5.9
 * Author:            Popup LikeBox Team
 * Author URI:        https://ays-pro.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       ays-facebook-popup-likebox
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'AYS_FPL_NAME_VERSION', '3.5.9' );
define( 'AYS_FPL_NAME', 'ays-facebook-popup-likebox' );

if( ! defined( 'AYS_FPL_ADMIN_URL' ) ) {
    define( 'AYS_FPL_ADMIN_URL', plugin_dir_url(__FILE__ ) . 'admin/' );
}


if( ! defined( 'AYS_FPL_PUBLIC_URL' ) ) {
    define( 'AYS_FPL_PUBLIC_URL', plugin_dir_url(__FILE__ ) . 'public/' );
}
/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-ays-facebook-popup-likebox-activator.php
 */
function activate_ays_facebook_popup_likebox() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-ays-facebook-popup-likebox-activator.php';
	Ays_Facebook_Popup_Likebox_Activator::ays_fbl_db_check();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-ays-facebook-popup-likebox-deactivator.php
 */
function deactivate_ays_facebook_popup_likebox() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-ays-facebook-popup-likebox-deactivator.php';
	Ays_Facebook_Popup_Likebox_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_ays_facebook_popup_likebox' );
register_deactivation_hook( __FILE__, 'deactivate_ays_facebook_popup_likebox' );

add_action( 'plugins_loaded', 'activate_ays_facebook_popup_likebox' );
/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-ays-facebook-popup-likebox.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_ays_facebook_popup_likebox() {

    add_action( 'admin_notices', 'general_fpl_admin_notice' );
	$plugin = new Ays_Facebook_Popup_Likebox();
	$plugin->run();

}

function general_fpl_admin_notice(){
    if ( isset($_GET['page']) && strpos($_GET['page'], AYS_FPL_NAME) !== false ) {
        ?>
             <div class="ays-notice-banner">
                <div class="navigation-bar">
                    <div id="navigation-container">
                        <a class="logo-container" href="https://ays-pro.com/" target="_blank">
                            <img class="logo" src="<?php echo AYS_FPL_ADMIN_URL . '/images/ays_pro.png'; ?>" alt="AYS Pro logo" title="AYS Pro logo"/>
                        </a>
                        <ul id="menu">
                            <li><a class="ays-btn" href="https://wordpress.org/support/plugin/ays-facebook-popup-likebox/reviews/" target="_blank">Rate us</a></li>
                            <li><a class="ays-btn" href="https://plugins.ays-demo.com/popup-likebox-free-demo/" target="_blank">Demo</a></li>
                            <li><a class="ays-btn" href="https://ays-pro.com/index.php/wordpress/facebook-popup-likebox" target="_blank">PRO</a></li>
                            <li><a class="ays-btn" href="https://wordpress.org/support/plugin/ays-facebook-popup-likebox" target="_blank">Support Chat</a></li>
                            <li><a class="ays-btn" href="https://wordpress.org/support/plugin/ays-facebook-popup-likebox" target="_blank">Contact us</a></li>
                        </ul>
                    </div>
                </div>
             </div>
             <div class="ays_ask_question_content">
            <div class="ays_ask_question_content_inner">
                    <a href="https://wordpress.org/support/plugin/ays-facebook-popup-likebox/" class="ays_fb_question_link" target="_blank">Ask a question</a>
                    <img src="<?php echo AYS_FPL_ADMIN_URL.'/images/ask-question.png'?>">
                </div>
            </div>
        <?php

            // if(isset($_POST['ays_fpl_sale_btn'])){
            //     update_option('ays_fpl_sale_notification', 1); 
            //     update_option('ays_fpl_sale_date', current_time( 'mysql' ));
            // }
            // $ays_fpl_sale_date = get_option('ays_fpl_sale_date');
            // $current_date = current_time( 'mysql' );
            // $date_diff = strtotime($current_date) -  intval(strtotime($ays_fpl_sale_date)) ;
            // $val = 60*60*24*3;
            // $days_diff = $date_diff / $val;
    
            // if(intval($days_diff) > 0 ){
            //     update_option('ays_fpl_sale_notification', 0); 
            // }
    
            // $ays_fpl_ishmar = intval(get_option('ays_fpl_sale_notification'));
            
            // if($ays_fpl_ishmar == 0 ){
            //     // ays_fpl_sale_message($ays_fpl_ishmar);
            // }
    }
}

function ays_fpl_sale_message($ishmar){
    if($ishmar == 0 ){
        ?>
        <!-- <div id="ays-fpl-dicount-month-main" class="notice notice-success is-dismissible ays_fpl_dicount_info">
            <div id="ays-fpl-dicount-month" class="ays_fpl_dicount_month" style="display: flex;align-items: center;justify-content: space-between;">
                <div>
                    <a href="https://ays-pro.com/huge-bundle" target="_blank" class="ays-poll-sale-banner-link"><img src="<?php //echo AYS_FPL_ADMIN_URL . '/images/huge_bundle_logo.png';?> " style="width: 70px;"></a>
                </div>
                <div style="font-size:14px; padding:12px; width: 100%;">
                    <strong style="font-weight: bold;">
                        <?php //echo __( "Limited Time <span style='color:red;'>70%</span> SALE on 13 Plugins!",AYS_FPL_NAME); ?>
                    </strong>
                    <br>
                    <strong style="font-size: 12px;font-weight: bold;">                        
                            <?php //echo __( "The most wanted bundle of all time! It consists of 13 different powerful plugins, each one allowing you to make your WordPress experience the best that could be. Hurry up! Ends on August 20. <a href='https://ays-pro.com/huge-bundle' target='_blank'>Check it out!</a>",AYS_FPL_NAME); ?>                    
                    </strong>
                    
                    <form action="" method="POST">
                                <button class="btn btn-link ays-button" name="ays_fpl_sale_btn" style="height: 32px; margin-left: 0;padding-left: 0">Dismiss ad</button>
                            </form>
                        
                </div>
                <a href="https://ays-pro.com/huge-bundle" class="button button-primary ays-button" id="ays-button-top-buy-now" target="_blank" style="height: 32px; display: flex; align-items: center; font-weight: 500; " ><?php //echo __('Buy Now!',AYS_FPL_NAME);?></a>
            
            </div>
            
        </div> -->
        <?php
    }
}

run_ays_facebook_popup_likebox();
